This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 35940 - fdisk has wrong limit for # of cylinders
fdisk has wrong limit for # of cylinders
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-14 18:51 EDT by Marty Shannon
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:41:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marty Shannon 2001-04-14 18:51:42 EDT
This is in SEAWOLF!

On a machine that previously had Wolverine installed (which means that it
changed the CHS info on the MBR to incorrect, but usable values), at
install time for SEAWOLF, I chose to use fdisk to correct the CHS info
(using expert mode).  I correctly set the heads to 16, the sectors to 63,
but fdisk enforces a cylinder limit of 131071 -- even though the correct
number for my drive (Maxtor 80 Gig) is 158816.  If I use fdisk to examine
the other 2 identical drives on the same box, it correctly reports their
geometry as 158816/16/63.  As long as this is the behavior, I cannot
install any Microsoft OSs on the same drive (they can't handle the 255 head
remapping, I think).  I do believe that the correct cylinder limit is 256k
- 1, not 128k - 1.
Comment 1 Elliot Lee 2001-07-18 19:40:51 EDT
I've changed the limit to 1 million. I have no clue what it's actually supposed
to be, but it's not like the current one made any more sense than the new one :)

Note You need to log in before you can comment on or make changes to this bug.